> For the complete documentation index, see [llms.txt](https://docs.expirenza.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.expirenza.com/api/scheme.md).

# Схема роботи з AПІ

1. З використанням технології websocket POS система ресторану встановлює постійне з’єднання до **back-end API Expirenza**.
2. Клієнт ресторану робить замовлення, офіціант створює його у POS системі.
3. Клієнт сканує QR код та отримує рахунок за номером столика.
4. Expirenza **відправляє запит** на перегляд рахунку до POS системи ресторану через websocket-з'єднання.
5. ПЗ **отримує запит,** готує дані та **відправляє зворотний виклик (callback)** до **API Expirenza** використовуючи  **https** з'єднання.
6. **Інформація про рахунок відображається у додатку mono\Expirenza** після отримання відповіді від POS системи ресторану.

{% hint style="info" %}
Для перегляду прикладу клієнтського програмного забезпечення, що демонструє цей сценарій, перейдіть [за посиланням на Github](https://github.com/ShaketoPay/shakeToPayJavaClientExample).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.expirenza.com/api/scheme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
